  CREATE OR REPLACE FORCE EDITIONABLE VIEW "AROPS"."USER_PERM_DELTA_V" ("APPL_QID", "APPL_NAME", "PERM_QID", "PERM_NAME", "USER_QID", "USER_DN", "USER_LAST_NAME", "USER_FIRST_NAME", "USER_IDM_TREE_NAME", "SNAP_ID", "SNAP_TIMESTAMP") AS 
  SELECT DISTINCT appl.qid appl_qid,
    ds.name appl_name,
    perm.unique_permission_id perm_qid,
    perm.name perm_name,
    usr.unique_user_id user_qid,
    usr.idm_dn user_dn,
    usr.last_name user_last_name,
    usr.first_name user_first_name,
    usr.idm_tree_name user_idm_tree_name,
    snap.id snap_id,
    snap.timestamp snap_timestamp
   FROM application appl,
    spermission perm,
    suser usr,
    saccount acct,
    spermission pcoll,
    suser ucoll,
    saccount acoll,
    saccount_permission ap,
    saccount_user au,
    snapshot snap,
    snapshot_sversions ap_snap_sv,
    snapshot_sversions au_snap_sv,
    data_source ds
  WHERE perm.application = appl.id AND perm.collected_entity = pcoll.id AND ap.spermission = pcoll.id AND ap.saccount = acoll.id AND au.saccount = acoll.id AND acct.collected_entity = acoll.id AND au.suser = ucoll.id AND usr.collected_entity = ucoll.id AND ap_snap_sv.snapshot = snap.id AND ap_snap_sv.sversions = ap.sversion AND au_snap_sv.snapshot = snap.id AND au_snap_sv.sversions = au.sversion AND appl.id = ds.id;
